------------------------------------------------------------------------------------
--Name：            200514[简体征服][活动脚本]全球暑期活动引导与摊位NPC
--Creator:      蔡颖静
--Created:     2020-05-14
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>147


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(361,289)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
-- CppScriptMgr:AddEffect("meiguihua_01",32,31);
-- CppScriptMgr:WaitMilSec(100)

CppScriptMgr:SetLightScreen(2000);

local Joker  = CppScriptMgr:AddSimplePlayer(1065520, 359,284, "Captain Jake", 4003000530,1)
local BBS  = CppScriptMgr:AddSimplePlayer(1059700, 366,286, "Barbossa", 4003000531,1)


-- local hero = CppScriptMgr:QueryHero();
-- hero:SetLook(hero:GetLook(), false, true) ;
-- hero:SetZoomPercent(100)
-- hero:SetPos(351,302)
-- hero:SetDir(3)


CppScriptMgr:WaitMilSec(1000)

Joker:Say("Finally, we`re about to set sail!", 2000)
CppScriptMgr:WaitMilSec(2000)

BBS:Say("Yes! It`s been a long time!", 2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj1 = CppScriptMgr:AddEffect("zf2-e236",358,286);
-- CppScriptMgr:WaitMilSec(500);
local effectObj2 = CppScriptMgr:AddEffect("zf2-e236",361,286);
-- CppScriptMgr:WaitMilSec(500);
local effectObj6 = CppScriptMgr:AddEffect("zf2-e236",365,287);
-- CppScriptMgr:WaitMilSec(500);
local effectObj3 = CppScriptMgr:AddEffect("zf2-e236",367,291);
-- CppScriptMgr:WaitMilSec(500);
local effectObj5 = CppScriptMgr:AddEffect("zf2-e236",341,295);
-- CppScriptMgr:WaitMilSec(500);

-- CppScriptMgr:WaitMilSec(2000)
local effectObj4 = CppScriptMgr:AddEffect("zf2-e236",363,293);
-- CppScriptMgr:WaitMilSec(500);
local effectObj7 = CppScriptMgr:AddEffect("zf2-e236",360,292);
-- CppScriptMgr:WaitMilSec(500);
local effectObj8 = CppScriptMgr:AddEffect("zf2-e236",358,287);
-- CppScriptMgr:WaitMilSec(500);
-- local effectObj10 = CppScriptMgr:AddEffect("zf2-e236",342,298);
-- CppScriptMgr:WaitMilSec(500);
-- BBS:Say("是啊！距离上次开启经过了多长的时间啊！", 2000)
-- CppScriptMgr:WaitMilSec(2000)
-- local effectObj11 = CppScriptMgr:AddEffect("zf2-e233",348,301);
-- CppScriptMgr:WaitMilSec(500);
-- local effectObj12 = CppScriptMgr:AddEffect("firethunder",346,293);
-- CppScriptMgr:WaitMilSec(500);
-- local effectObj13 = CppScriptMgr:AddEffect("zf2-e236",341,295);
-- CppScriptMgr:WaitMilSec(500);
-- local effectObj14 = CppScriptMgr:AddEffect("zf2-e236",252,298);
CppScriptMgr:WaitMilSec(2000);

--创建黄金岛传送门
CppScriptMgr:AddEffect("CSGX_jin",363,291)
CppScriptMgr:WaitMilSec(2000);

Joker:SetAction(200)
BBS:SetAction(200)
Joker:Say("Young pirates, let`s set sail!", 2000)
BBS:Say("Young pirates, let`s set sail!", 2000)

-- local CSM  = CppScriptMgr:AddSimplePlayer(31917, 346,297, "黄金岛传送门", 4003000532,1)
CppScriptMgr:WaitMilSec(3000)



